- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# github_issue – View GitHub issue

New in version 2.4.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- View GitHub issue for a given repository and organization.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
action - | Choices: get_status ← | Get various details about issue depending upon action specified.
issue - / required |  | Issue number for which information is required.
organization - / required |  | Name of the GitHub organization in which the repository is hosted.
repo - / required |  | Name of repository from which issue needs to be retrieved.

## Examples

    - name: Check if GitHub issue is closed or not
      github_issue:
        organization: ansible
        repo: ansible
        issue: 23642
        action: get_status
      register: r

    - name: Take action depending upon issue status
      debug:
        msg: Do something when issue 23642 is open
      when: r.issue_status == 'open'

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
get_status string | success | State of the GitHub issue Sample: open, closed

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.